/* ====================================================================
   Copyright (C) 2004-2008  fyiReporting Software, LLC
   Copyright (C) 2010 Krzysztof Marecki


   This file is part of the NReports project
	
   Licensed under the Apache License, Version 2.0 (the "License");
   you may not use this file except in compliance with the License.
   You may obtain a copy of the License at

       http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.


   For additional information,email dotnetreports@gmail.com
*/
using System;

namespace NReports.RDL
{
	/// <summary>
	/// Represents an exception throwed by lexer and parser.
	/// </summary>
	internal class ParserException : ApplicationException
	{
		/// <summary>
		/// Initializes a new instance of the ParserException class with the
		/// specified message.
		/// </summary>
		/// <param name="message">A message.</param>
		internal ParserException(string message) : base(message)
		{
			// used base
		}
	}
}
